Package org.apache.activemq.artemis.jms.server.config

## Interface ConnectionFactoryConfiguration

- All Superinterfaces:
    `org.apache.activemq.artemis.core.journal.EncodingSupport`
  All Known Implementing Classes:
    `ConnectionFactoryConfigurationImpl`

      public interface ConnectionFactoryConfiguration
      extends org.apache.activemq.artemis.core.journal.EncodingSupport

  A ConnectionFactoryConfiguration for `ConnectionFactory` objects.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `getBindings()` |
    `long` | `getCallFailoverTimeout()` |
    `long` | `getCallTimeout()` |
    `long` | `getClientFailureCheckPeriod()` |
    `java.lang.String` | `getClientID()` |
    `int` | `getConfirmationWindowSize()` |
    `long` | `getConnectionTTL()` |
    `java.util.List<java.lang.String>` | `getConnectorNames()` |
    `int` | `getConsumerMaxRate()` |
    `int` | `getConsumerWindowSize()` |
    `java.lang.String` | `getDeserializationBlackList()` |
    `java.lang.String` | `getDeserializationWhiteList()` |
    `java.lang.String` | `getDiscoveryGroupName()` |
    `int` | `getDupsOKBatchSize()` |
    `JMSFactoryType` | `getFactoryType()` |
    `java.lang.String` | `getGroupID()` |
    `int` | `getInitialMessagePacketSize()` |
    `java.lang.String` | `getLoadBalancingPolicyClassName()` |
    `long` | `getMaxRetryInterval()` |
    `int` | `getMinLargeMessageSize()` |
    `java.lang.String` | `getName()` |
    `int` | `getProducerMaxRate()` |
    `int` | `getProducerWindowSize()` |
    `java.lang.String` | `getProtocolManagerFactoryStr()` |
    `int` | `getReconnectAttempts()` |
    `long` | `getRetryInterval()` |
    `double` | `getRetryIntervalMultiplier()` |
    `int` | `getScheduledThreadPoolMaxSize()` |
    `int` | `getThreadPoolMaxSize()` |
    `int` | `getTransactionBatchSize()` |
    `boolean` | `getUseTopologyForLoadBalancing()` |
    `boolean` | `isAutoGroup()` |
    `boolean` | `isBlockOnAcknowledge()` |
    `boolean` | `isBlockOnDurableSend()` |
    `boolean` | `isBlockOnNonDurableSend()` |
    `boolean` | `isCacheLargeMessagesClient()` |
    `boolean` | `isCompressLargeMessages()` |
    `boolean` | `isEnable1xPrefixes()` |
    `boolean` | `isEnableSharedClientID()` |
    `boolean` | `isFailoverOnInitialConnection()` | Deprecated.
    `boolean` | `isHA()` |
    `boolean` | `isPersisted()` |
    `boolean` | `isPreAcknowledge()` |
    `boolean` | `isUseGlobalPools()` |
    `ConnectionFactoryConfiguration` | `setAutoGroup​(boolean autoGroup)` |
    `ConnectionFactoryConfiguration` | `setBindings​(java.lang.String... bindings)` |
    `ConnectionFactoryConfiguration` | `setBlockOnAcknowledge​(boolean blockOnAcknowledge)` |
    `ConnectionFactoryConfiguration` | `setBlockOnDurableSend​(boolean blockOnDurableSend)` |
    `ConnectionFactoryConfiguration` | `setBlockOnNonDurableSend​(boolean blockOnNonDurableSend)` |
    `ConnectionFactoryConfiguration` | `setCacheLargeMessagesClient​(boolean cacheLargeMessagesClient)` |
    `ConnectionFactoryConfiguration` | `setCallFailoverTimeout​(long callFailoverTimeout)` |
    `ConnectionFactoryConfiguration` | `setCallTimeout​(long callTimeout)` |
    `ConnectionFactoryConfiguration` | `setClientFailureCheckPeriod​(long clientFailureCheckPeriod)` |
    `ConnectionFactoryConfiguration` | `setClientID​(java.lang.String clientID)` |
    `ConnectionFactoryConfiguration` | `setCompressLargeMessages​(boolean avoidLargeMessages)` |
    `ConnectionFactoryConfiguration` | `setConfirmationWindowSize​(int confirmationWindowSize)` |
    `ConnectionFactoryConfiguration` | `setConnectionTTL​(long connectionTTL)` |
    `ConnectionFactoryConfiguration` | `setConnectorNames​(java.lang.String... connectorNames)` |
    `ConnectionFactoryConfiguration` | `setConnectorNames​(java.util.List<java.lang.String> connectorNames)` |
    `ConnectionFactoryConfiguration` | `setConsumerMaxRate​(int consumerMaxRate)` |
    `ConnectionFactoryConfiguration` | `setConsumerWindowSize​(int consumerWindowSize)` |
    `void` | `setDeserializationBlackList​(java.lang.String blackList)` |
    `void` | `setDeserializationWhiteList​(java.lang.String whiteList)` |
    `ConnectionFactoryConfiguration` | `setDiscoveryGroupName​(java.lang.String discoveryGroupName)` |
    `ConnectionFactoryConfiguration` | `setDupsOKBatchSize​(int dupsOKBatchSize)` |
    `ConnectionFactoryConfiguration` | `setEnable1xPrefixes​(boolean enable1xPrefixes)` |
    `ConnectionFactoryConfiguration` | `setEnableSharedClientID​(boolean enabled)` |
    `ConnectionFactoryConfiguration` | `setFactoryType​(JMSFactoryType factType)` |
    `ConnectionFactoryConfiguration` | `setFailoverOnInitialConnection​(boolean failover)` | Deprecated.
    `ConnectionFactoryConfiguration` | `setGroupID​(java.lang.String groupID)` |
    `ConnectionFactoryConfiguration` | `setHA​(boolean ha)` |
    `ConnectionFactoryConfiguration` | `setInitialMessagePacketSize​(int size)` |
    `ConnectionFactoryConfiguration` | `setLoadBalancingPolicyClassName​(java.lang.String loadBalancingPolicyClassName)` |
    `ConnectionFactoryConfiguration` | `setMaxRetryInterval​(long maxRetryInterval)` |
    `ConnectionFactoryConfiguration` | `setMinLargeMessageSize​(int minLargeMessageSize)` |
    `ConnectionFactoryConfiguration` | `setName​(java.lang.String name)` |
    `ConnectionFactoryConfiguration` | `setPreAcknowledge​(boolean preAcknowledge)` |
    `ConnectionFactoryConfiguration` | `setProducerMaxRate​(int producerMaxRate)` |
    `ConnectionFactoryConfiguration` | `setProducerWindowSize​(int producerWindowSize)` |
    `ConnectionFactoryConfiguration` | `setProtocolManagerFactoryStr​(java.lang.String protocolManagerFactoryStr)` |
    `ConnectionFactoryConfiguration` | `setReconnectAttempts​(int reconnectAttempts)` |
    `ConnectionFactoryConfiguration` | `setRetryInterval​(long retryInterval)` |
    `ConnectionFactoryConfiguration` | `setRetryIntervalMultiplier​(double retryIntervalMultiplier)` |
    `ConnectionFactoryConfiguration` | `setScheduledThreadPoolMaxSize​(int scheduledThreadPoolMaxSize)` |
    `ConnectionFactoryConfiguration` | `setThreadPoolMaxSize​(int threadPoolMaxSize)` |
    `ConnectionFactoryConfiguration` | `setTransactionBatchSize​(int transactionBatchSize)` |
    `ConnectionFactoryConfiguration` | `setUseGlobalPools​(boolean useGlobalPools)` |
    `ConnectionFactoryConfiguration` | `setUseTopologyForLoadBalancing​(boolean useTopologyForLoadBalancing)` |

    - ### Methods inherited from interface org.apache.activemq.artemis.core.journal.EncodingSupport

      `decode, encode, getEncodeSize`

- - ### Method Detail

    - #### isPersisted

          boolean isPersisted()

    - #### getName

          java.lang.String getName()

    - #### setName

          ConnectionFactoryConfiguration setName​(java.lang.String name)

    - #### getBindings

          java.lang.String[] getBindings()

    - #### setBindings

          ConnectionFactoryConfiguration setBindings​(java.lang.String... bindings)

    - #### getDiscoveryGroupName

          java.lang.String getDiscoveryGroupName()

    - #### setDiscoveryGroupName

          ConnectionFactoryConfiguration setDiscoveryGroupName​(java.lang.String discoveryGroupName)

    - #### getConnectorNames

          java.util.List<java.lang.String> getConnectorNames()

    - #### setConnectorNames

          ConnectionFactoryConfiguration setConnectorNames​(java.util.List<java.lang.String> connectorNames)

    - #### setConnectorNames

          ConnectionFactoryConfiguration setConnectorNames​(java.lang.String... connectorNames)

    - #### isHA

          boolean isHA()

    - #### setHA

          ConnectionFactoryConfiguration setHA​(boolean ha)

    - #### getClientID

          java.lang.String getClientID()

    - #### setClientID

          ConnectionFactoryConfiguration setClientID​(java.lang.String clientID)

    - #### getClientFailureCheckPeriod

          long getClientFailureCheckPeriod()

    - #### setClientFailureCheckPeriod

          ConnectionFactoryConfiguration setClientFailureCheckPeriod​(long clientFailureCheckPeriod)

    - #### getConnectionTTL

          long getConnectionTTL()

    - #### setConnectionTTL

          ConnectionFactoryConfiguration setConnectionTTL​(long connectionTTL)

    - #### getCallTimeout

          long getCallTimeout()

    - #### setCallTimeout

          ConnectionFactoryConfiguration setCallTimeout​(long callTimeout)

    - #### getCallFailoverTimeout

          long getCallFailoverTimeout()

    - #### setCallFailoverTimeout

          ConnectionFactoryConfiguration setCallFailoverTimeout​(long callFailoverTimeout)

    - #### isCacheLargeMessagesClient

          boolean isCacheLargeMessagesClient()

    - #### setCacheLargeMessagesClient

          ConnectionFactoryConfiguration setCacheLargeMessagesClient​(boolean cacheLargeMessagesClient)

    - #### getMinLargeMessageSize

          int getMinLargeMessageSize()

    - #### setMinLargeMessageSize

          ConnectionFactoryConfiguration setMinLargeMessageSize​(int minLargeMessageSize)

    - #### isCompressLargeMessages

          boolean isCompressLargeMessages()

    - #### setCompressLargeMessages

          ConnectionFactoryConfiguration setCompressLargeMessages​(boolean avoidLargeMessages)

    - #### getConsumerWindowSize

          int getConsumerWindowSize()

    - #### setConsumerWindowSize

          ConnectionFactoryConfiguration setConsumerWindowSize​(int consumerWindowSize)

    - #### getConsumerMaxRate

          int getConsumerMaxRate()

    - #### setConsumerMaxRate

          ConnectionFactoryConfiguration setConsumerMaxRate​(int consumerMaxRate)

    - #### getConfirmationWindowSize

          int getConfirmationWindowSize()

    - #### setConfirmationWindowSize

          ConnectionFactoryConfiguration setConfirmationWindowSize​(int confirmationWindowSize)

    - #### getProducerWindowSize

          int getProducerWindowSize()

    - #### setProducerWindowSize

          ConnectionFactoryConfiguration setProducerWindowSize​(int producerWindowSize)

    - #### getProducerMaxRate

          int getProducerMaxRate()

    - #### setProducerMaxRate

          ConnectionFactoryConfiguration setProducerMaxRate​(int producerMaxRate)

    - #### isBlockOnAcknowledge

          boolean isBlockOnAcknowledge()

    - #### setBlockOnAcknowledge

          ConnectionFactoryConfiguration setBlockOnAcknowledge​(boolean blockOnAcknowledge)

    - #### isBlockOnDurableSend

          boolean isBlockOnDurableSend()

    - #### setBlockOnDurableSend

          ConnectionFactoryConfiguration setBlockOnDurableSend​(boolean blockOnDurableSend)

    - #### isBlockOnNonDurableSend

          boolean isBlockOnNonDurableSend()

    - #### setBlockOnNonDurableSend

          ConnectionFactoryConfiguration setBlockOnNonDurableSend​(boolean blockOnNonDurableSend)

    - #### isAutoGroup

          boolean isAutoGroup()

    - #### setAutoGroup

          ConnectionFactoryConfiguration setAutoGroup​(boolean autoGroup)

    - #### isPreAcknowledge

          boolean isPreAcknowledge()

    - #### setPreAcknowledge

          ConnectionFactoryConfiguration setPreAcknowledge​(boolean preAcknowledge)

    - #### getLoadBalancingPolicyClassName

          java.lang.String getLoadBalancingPolicyClassName()

    - #### setLoadBalancingPolicyClassName

          ConnectionFactoryConfiguration setLoadBalancingPolicyClassName​(java.lang.String loadBalancingPolicyClassName)

    - #### getTransactionBatchSize

          int getTransactionBatchSize()

    - #### setTransactionBatchSize

          ConnectionFactoryConfiguration setTransactionBatchSize​(int transactionBatchSize)

    - #### getDupsOKBatchSize

          int getDupsOKBatchSize()

    - #### setDupsOKBatchSize

          ConnectionFactoryConfiguration setDupsOKBatchSize​(int dupsOKBatchSize)

    - #### isUseGlobalPools

          boolean isUseGlobalPools()

    - #### setUseGlobalPools

          ConnectionFactoryConfiguration setUseGlobalPools​(boolean useGlobalPools)

    - #### getScheduledThreadPoolMaxSize

          int getScheduledThreadPoolMaxSize()

    - #### setScheduledThreadPoolMaxSize

          ConnectionFactoryConfiguration setScheduledThreadPoolMaxSize​(int scheduledThreadPoolMaxSize)

    - #### getThreadPoolMaxSize

          int getThreadPoolMaxSize()

    - #### setThreadPoolMaxSize

          ConnectionFactoryConfiguration setThreadPoolMaxSize​(int threadPoolMaxSize)

    - #### getRetryInterval

          long getRetryInterval()

    - #### setRetryInterval

          ConnectionFactoryConfiguration setRetryInterval​(long retryInterval)

    - #### getRetryIntervalMultiplier

          double getRetryIntervalMultiplier()

    - #### setRetryIntervalMultiplier

          ConnectionFactoryConfiguration setRetryIntervalMultiplier​(double retryIntervalMultiplier)

    - #### getMaxRetryInterval

          long getMaxRetryInterval()

    - #### setMaxRetryInterval

          ConnectionFactoryConfiguration setMaxRetryInterval​(long maxRetryInterval)

    - #### getReconnectAttempts

          int getReconnectAttempts()

    - #### setReconnectAttempts

          ConnectionFactoryConfiguration setReconnectAttempts​(int reconnectAttempts)

    - #### isFailoverOnInitialConnection

          @Deprecated
          boolean isFailoverOnInitialConnection()

      Deprecated.

    - #### setFailoverOnInitialConnection

          @Deprecated
          ConnectionFactoryConfiguration setFailoverOnInitialConnection​(boolean failover)

      Deprecated.

    - #### getGroupID

          java.lang.String getGroupID()

    - #### setGroupID

          ConnectionFactoryConfiguration setGroupID​(java.lang.String groupID)

    - #### setFactoryType

          ConnectionFactoryConfiguration setFactoryType​(JMSFactoryType factType)

    - #### setProtocolManagerFactoryStr

          ConnectionFactoryConfiguration setProtocolManagerFactoryStr​(java.lang.String protocolManagerFactoryStr)

    - #### getProtocolManagerFactoryStr

          java.lang.String getProtocolManagerFactoryStr()

    - #### getFactoryType

          JMSFactoryType getFactoryType()

    - #### getDeserializationBlackList

          java.lang.String getDeserializationBlackList()

    - #### setDeserializationBlackList

          void setDeserializationBlackList​(java.lang.String blackList)

    - #### getDeserializationWhiteList

          java.lang.String getDeserializationWhiteList()

    - #### setDeserializationWhiteList

          void setDeserializationWhiteList​(java.lang.String whiteList)

    - #### getInitialMessagePacketSize

          int getInitialMessagePacketSize()

    - #### setInitialMessagePacketSize

          ConnectionFactoryConfiguration setInitialMessagePacketSize​(int size)

    - #### isEnable1xPrefixes

          boolean isEnable1xPrefixes()

    - #### setEnable1xPrefixes

          ConnectionFactoryConfiguration setEnable1xPrefixes​(boolean enable1xPrefixes)

    - #### isEnableSharedClientID

          boolean isEnableSharedClientID()

    - #### setEnableSharedClientID

          ConnectionFactoryConfiguration setEnableSharedClientID​(boolean enabled)

    - #### getUseTopologyForLoadBalancing

          boolean getUseTopologyForLoadBalancing()

    - #### setUseTopologyForLoadBalancing

          ConnectionFactoryConfiguration setUseTopologyForLoadBalancing​(boolean useTopologyForLoadBalancing)